<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/LinearLayout1"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".PL2303GPIOActivity" >

    <EditText
        android:id="@+id/editText1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:ems="10"
        android:inputType="number"
        tools:ignore="SpeakableTextPresentCheck"
        />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent" >

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent" >

            <LinearLayout
                android:layout_width="395dp"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >

                    <Button
                        android:id="@+id/btOpenPort"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/OpenPort" />


                </LinearLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout2"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Get_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_0"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_0"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintVertical_bias="0.444" />

                    <Button
                        android:id="@+id/btSetGPIO_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_0"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_0" />

                    <CheckBox
                        android:id="@+id/cBGPIO_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_0"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_0" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintHorizontal_bias="1.0"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_0"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_0"
                        app:layout_constraintTop_toTopOf="parent" />

                    <EditText
                        android:id="@+id/eTGPIOval_0"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_0"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_0">

                        <requestFocus
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />
                    </EditText>

                    <TextView
                        android:id="@+id/tViewGPIO_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GPO"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_0"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_1"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_1"
                        app:layout_constraintTop_toTopOf="parent" />

                    <Button
                        android:id="@+id/btSetGPIO_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_1"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_1" />

                    <EditText
                        android:id="@+id/eTGPIOval_1"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_1"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_1" />

                    <CheckBox
                        android:id="@+id/cBGPIO_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_1"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_1" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_1"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_1"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tViewGPIO_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP1"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_1"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout3"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_2"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_2"
                        app:layout_constraintTop_toTopOf="parent" />

                    <EditText
                        android:id="@+id/eTGPIOval_2"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_2"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_2" />

                    <Button
                        android:id="@+id/btSetGPIO_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_2"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_2" />

                    <CheckBox
                        android:id="@+id/cBGPIO_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_2"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_2" />

                    <TextView
                        android:id="@+id/tViewGPIO_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP2"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_2"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_2"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_2"
                        app:layout_constraintTop_toTopOf="parent" />

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout4"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_3"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_3"
                        app:layout_constraintTop_toTopOf="parent" />

                    <EditText
                        android:id="@+id/eTGPIOval_3"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_3"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_3" />

                    <Button
                        android:id="@+id/btSetGPIO_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_3"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_3" />

                    <CheckBox
                        android:id="@+id/cBGPIO_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_3"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_3" />

                    <TextView
                        android:id="@+id/tViewGPIO_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP3"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_3"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_3"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_3"
                        app:layout_constraintTop_toTopOf="parent" />

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout5"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btSetGPIO_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_4"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_4" />

                    <EditText
                        android:id="@+id/eTGPIOval_4"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_4"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_4" />

                    <Button
                        android:id="@+id/btGetGPIO_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_4"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_4"
                        app:layout_constraintTop_toTopOf="parent" />

                    <CheckBox
                        android:id="@+id/cBGPIO_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_4"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_4" />

                    <TextView
                        android:id="@+id/tViewGPIO_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP4"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_4"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"/>

                    <CheckBox
                        android:id="@+id/CE_GPIO_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_4"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_4"
                        app:layout_constraintTop_toTopOf="parent"/>

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout6"
                    android:layout_width="397dp"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_5"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_5"
                        app:layout_constraintTop_toTopOf="parent" />

                    <Button
                        android:id="@+id/btSetGPIO_5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="16dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_5"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_5" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_5"
                        app:layout_constraintHorizontal_bias="0.0"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_5"
                        app:layout_constraintTop_toTopOf="parent" />

                    <CheckBox
                        android:id="@+id/cBGPIO_5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_5"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_5" />

                    <EditText
                        android:id="@+id/eTGPIOval_5"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_5"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_5" />

                    <TextView
                        android:id="@+id/tViewGPIO_5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP5"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_5"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout7"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_6"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_6"
                        app:layout_constraintTop_toTopOf="parent" />

                    <Button
                        android:id="@+id/btSetGPIO_6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_6"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_6" />

                    <CheckBox
                        android:id="@+id/cBGPIO_6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_6"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_6" />

                    <EditText
                        android:id="@+id/eTGPIOval_6"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_6"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_6" />

                    <TextView
                        android:id="@+id/tViewGPIO_6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP6"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_6"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_6"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_6"
                        app:layout_constraintTop_toTopOf="parent"/>

                </android.support.constraint.ConstraintLayout>

                <android.support.constraint.ConstraintLayout
                    android:id="@+id/linearLayout8"
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        android:id="@+id/btGetGPIO_7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:text="@string/Get_Button"
                        app:layout_constraintEnd_toStartOf="@+id/btSetGPIO_7"
                        app:layout_constraintStart_toEndOf="@+id/cBGPIO_7"
                        app:layout_constraintTop_toTopOf="parent"/>

                    <Button
                        android:id="@+id/btSetGPIO_7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:text="@string/Set_Button"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/eTGPIOval_7"
                        app:layout_constraintStart_toEndOf="@+id/btGetGPIO_7"
                        app:layout_constraintVertical_bias="1.0" />

                    <CheckBox
                        android:id="@+id/cBGPIO_7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:minHeight="35dp"
                        android:text="@string/Enable_GPIO"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_7"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_7"  />

                    <EditText
                        android:id="@+id/eTGPIOval_7"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:ems="10"
                        android:hint="@string/GPIO_Value_Range"
                        android:inputType="number"
                        android:minHeight="48dp"
                        android:numeric="integer"
                        app:layout_constraintBaseline_toBaselineOf="@+id/btSetGPIO_7"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/btSetGPIO_7" />

                    <TextView
                        android:id="@+id/tViewGPIO_7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text="@string/GP7"
                        app:layout_constraintEnd_toStartOf="@+id/cBGPIO_7"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <CheckBox
                        android:id="@+id/CE_GPIO_7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3dp"
                        android:minHeight="35dp"
                        android:text="Cnt_Enable"
                        app:layout_constraintEnd_toStartOf="@+id/btGetGPIO_7"
                        app:layout_constraintStart_toEndOf="@+id/tViewGPIO_7"
                        app:layout_constraintTop_toTopOf="parent"/>

                </android.support.constraint.ConstraintLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="vertical" >

            </LinearLayout>

        </LinearLayout>

        <ScrollView
            android:id="@+id/sVText"
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <LinearLayout
                android:id="@+id/LinearLayout2"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <TextView
                    android:id="@+id/tVResponse"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="TextView" />

            </LinearLayout>
        </ScrollView>
    </LinearLayout>

</LinearLayout>